%define oname   json

Name:       ruby-%{oname}
Version:    1.5.1
Release:    %mkrel 1
Summary:    JSON Implementation for Ruby
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://flori.github.com/json
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
Requires:   rubygem(json_pure) = %{version}

%description
This is a JSON implementation as a Ruby extension in C.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/json/ext/*.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

# bin scripts are already provided by json_pure, avoid conflict
rm -f %{buildroot}%{_bindir}/*json.rb

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 1.5.1-1.mga1
+ Revision: 86357
- new version 1.5.1

* Wed Jan 26 2011 shikamaru <shikamaru> 1.4.6-4.mga1
+ Revision: 39678
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 1.4.6-3.mga1
+ Revision: 39435
- imported package ruby-json


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.4.6-3mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Sat Dec 04 2010 Rémy Clouard <shikamaru@mandriva.org> 1.4.6-2mdv2011.0
+ Revision: 609255
- %%gem_build macros are broken at the moment, using classic method from
  gem2rpm to build the package for the moment.

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - use %%rename macro
    - use new %%gem_* macros

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2.0-2mdv2010.1
+ Revision: 500558
- don't install the gem itself or any of the build files...
- rename to follow naming scheme for ruby gem packages
- rename to follow ruby gem naming scheme...

* Mon Feb 01 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 499318
- add missing buildrequires
- import ruby-json

